$(function() {
  $('div.cell.map').on('combo:map-feature-prepare', function(ev, info) {
    info.layer.on('click', function(ev) {
      $('.parking').removeClass('shown');
      $('#parking-' + info.layer.feature.properties.Ordre).addClass('shown');
      window.location.hash = "parking-" + info.layer.feature.properties.Ordre;
    });
  });
  $('div.cell').delegate('.parking', 'click', function(e) {
    $(this).removeClass('shown');
  });
  /* move footer to navigation menu on mobile... */
  var mql = window.matchMedia("screen and (max-width: 800px)");
  if (mql.matches) {
    var $burger = $('#nav ul');
    $('footer .menucell li').each(function(idx, li) {
      $(li).detach().addClass('footer-link').appendTo($burger);
    });
  }

  /* notifications */
  $('div.cell').delegate('li.combo-notification', 'click', function() {
    var target_url = $(this).find('a').attr('href');
    if ($(this).hasClass('combo-notification-acked')) {
      if (target_url != '#') {
        window.location.href = target_url;
      }
    } else {
      var ack_url = $('body').data('api-root') + 'notification/ack/' + $(this).data('combo-notification-id');
      $.ajax({
         url: ack_url,
         success: function(html) {
           $(this).addClass('combo-notification-acked');
           if (target_url != '#') {
             window.location.href = target_url;
           }
         }
      });
    }
    return false;
  });

});
